---
title: "validateinvoicenumber"
slug: "validateinvoicenumber"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/validateinvoicenumber"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# validateinvoicenumber

Post/ap-rest-api/rest/1/validateinvoicenumber

## Validate Invoice Number

### 

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.action+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='9dc45212-4070-4704-83da-9f89532beed5'>application/json</option>
</select>object  Example{
  "name": "validateInvoiceNumber",
  "parameters": [
    {
      "compCode": "ALT"
    },
    {
      "venCode": "ABSCONT"
    },
    {
      "invCode": "AR0000031"
    }
  ]
}compCodestring    Required

This is the company code of the invoice being selected for validation

💻 UI Fieldname: INV_COMP_CODE

venCodestring    Required

This is the vendor code of the invoice being selected for validation

💻 UI Fieldname: INV_CUST_CODE

invCodestring    Required

This is the invoice number.

💻 UI Fieldname: INV_NUM

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.actionresult+json
<select class='api-response-data' aria-label='Media type'><option value='7b5fe45c-b708-4971-a1f3-b3079ecfd2e5'>text/plain</option>
</select>

```
"{\n    \"result\": \"Y\"\n}"
```

string
